{% extends "base.html" %}
{% load static i18n seawatch_registration_tags tailwind_tags %}
{% block content %}
  <h1>{% trans "Volunteers" %}</h1>
  <div class="operations planner--card">
    <h2>{% trans "Operations" %}</h2>
    {% if operations %}
      <ul class="operations-columns">
        {% for operation in operations %}
          <li>
            <p>{{ operation }}</p>
          </li>
        {% endfor %}
      </ul>
    {% else %}
      <p>{% trans "No operations found" %}</p>
    {% endif %}
  </div>
  {% include "volunteers/partials/search_and_filter_original.html" %}
  <table class="table">
    <thead>
      <tr>
        <th scope="col">Name</th>
        <th scope="col">Experience</th>
        <th scope="col">Position</th>
        <th scope="col">Certificates</th>
        <th scope="col">Languages</th>
        <th scope="col">Contact</th>
        <th scope="col"></th>
      </tr>
    </thead>
    {% if object_list %}
      <tbody>
        {% for volunteer in object_list %}
          <tr>
            <th>
              <a href="{% url "volunteer_detail" pk=volunteer.pk %}">{{ volunteer.name }}</a>
            </th>
            <td>{{ volunteer|check_experiences }}</td>
            <td>{{ volunteer.sarprofile_set.all|attr:"position"|join:", " }}</td>
            <td>{{ volunteer.certificates|join:", " }}</td>
            <td>{{ volunteer.languages|format_spoken_languages }}</td>
            <td style="white-space: nowrap;">
              <div>
                <i class="fa fa-envelope"></i>
                <span style="white-space: normal;">{{ volunteer.email }}</span>
              </div>
              <div>
                <i class="fa fa-phone"></i>
                <span style="white-space: normal;">{{ volunteer.phone_number }}</span>
              </div>
            </td>
            <td>
              <button class="button"
                      hx-get="{% url "volunteer_request_availabilities_dialog" pk=volunteer.pk %}"
                      hx-trigger="click"
                      hx-target="#planner-modal-request-availabilities"
                      hx-swap="outerHTML">Request Availabilities</button>
            </td>
          </tr>
        {% endfor %}
      </tbody>
      <tfoot>
        <tr>
          <th scope="row" colspan="7">Total: {{ object_list|length }} Profiles</th>
        </tr>
      </tfoot>
    {% else %}
      <tbody>
        <tr>
          <td class="empty-table-message" colspan="7">There is nothing here yet.</td>
        </tr>
      </tbody>
    {% endif %}
  </table>
{% endblock %}
{% block extra_body_content %}
  <div id="planner-modal-request-availabilities" style="display: none;"></div>
{% endblock %}
